/*
Freeslottable carry types
	by Lach
*/

if FreeslotCarryType
	return
end

local num = INT16_MAX // heaps of space below in case existing scripts hardcode carry numbers, unlikely anyone will pick a number higher than this

rawset(_G, "FreeslotCarryType", function(...)
	local str = ...
	
	if str == nil
		return
	end
	
	assert(_G[str] == nil, "CarryType " .. str .. " already allocated.")
	
	num = $ + 1
	rawset(_G, str, num)
	
	print("CarryType " .. str .. " allocated.")
	
	return num, FreeslotCarryType(select(2, ...))
end)