-- Sawblade object definitions by Tatsuru
freeslot("MT_SAWBLADEWP", "MT_SAWBLADE", "MT_SAWBLADEHELPER", "S_SAWBLADE", "SPR_SAWB")

mobjinfo[MT_SAWBLADEWP] = {
	--$Name "Saw Blade Waypoint"
	--$Sprite SAWBALAR
	--$Category "Foliage Furnace"
	doomednum = 3020,
	spawnstate = S_INVISIBLE,
	radius = 32*FRACUNIT,
	height = 32*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOSECTOR|MF_NOCLIP|MF_NOGRAVITY|MF_SCENERY
}

mobjinfo[MT_SAWBLADE] = {
	spawnstate = S_SAWBLADE,
	radius = 16*FRACUNIT,
	height = 16*FRACUNIT,
	speed = 12*FRACUNIT
}
--zonebuilder bruh moment
mobjinfo[MT_SAWBLADE].flags = MF_NOGRAVITY|MF_NOCLIPHEIGHT|MF_PAIN|MF_PAPERCOLLISION//|MF_SOLID

mobjinfo[MT_SAWBLADEHELPER] = {
	spawnstate = S_INVISIBLE,
	radius = 3*FRACUNIT,
	height = 3*FRACUNIT
}
--zonebuilder bruh moment
mobjinfo[MT_SAWBLADEHELPER].flags = MF_NOBLOCKMAP|MF_PAPERCOLLISION|MF_PAIN|MF_NOCLIPHEIGHT|MF_NOGRAVITY

states[S_SAWBLADE] = {
	sprite = SPR_SAWB,
	frame = A|FF_ANIMATE|FF_PAPERSPRITE,
	var1 = 3,
	var2 = 1,
	tics = -1
}

freeslot("sfx_sawbld", "sfx_sawim1", "sfx_sawim2")

sfxinfo[sfx_sawbld].caption = "Saw blade"
sfxinfo[sfx_sawim1].caption = "Saw impact"
sfxinfo[sfx_sawim2].caption = "Saw impact"