freeslot(
	"MT_HUBSPOT",

	"MT_LEVELSPOT",
	"S_LEVELSPOT",
	"SPR_LVLA",
	"SPR_LVLB",
	"SPR_LVLC",
	"SPR_CIRC",

	"MT_LEVELPORTAL",
	"S_LEVELPORTAL1",
	"S_LEVELPORTAL2",
	"S_LEVELPORTAL3",

	"S_BOSSPORTAL1",
	"S_BOSSPORTAL2",
	"S_BOSSPORTAL3",

	"S_DISABLEDPORTAL1",
	"S_DISABLEDPORTAL2",
	"S_DISABLEDPORTAL3",

	"MT_LEVELLIGHT",
	"S_LEVELLIGHT1",
	"S_LEVELLIGHT2",
	"SPR_MAPP",

	"MT_LEVELSPARKLE",
	"S_LEVELSPARKLE1",
	"S_LEVELSPARKLE2",
	"S_LEVELSPARKLE3",
	"S_LEVELSPARKLE4",
	"S_BOSSSPARKLE1",
	"S_BOSSSPARKLE2",
	"S_BOSSSPARKLE3",
	"S_BOSSSPARKLE4",
	"SPR_HSPK"
)

mobjinfo[MT_HUBSPOT] = {
	--$Name Hub Thinker Spot
	--$Sprite MAPPD0
	doomednum = 3500,
	spawnstate = S_INVISIBLE,
	spawnhealth = 1000,
	radius = 16*FRACUNIT,
	height = 48*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY
}

mobjinfo[MT_LEVELSPOT] = {
	--$Name Level Portal
	--$Sprite LVLAA0
	doomednum = 3501,
	spawnstate = S_LEVELSPOT,
	spawnhealth = 1000,
	radius = 48*FRACUNIT,
	height = 96*FRACUNIT,
	flags = MF_SPECIAL|MF_NOGRAVITY
}

states[S_LEVELSPOT] = {SPR_LVLA, FF_FULLBRIGHT|FF_TRANS20, -1, nil, 0, 0, S_LEVELSPOT}

mobjinfo[MT_LEVELPORTAL] = {
	spawnstate = S_LEVELPORTAL1,
	spawnhealth = 1000,
	radius = 16*FRACUNIT,
	height = 12*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOTHINK
}

states[S_LEVELPORTAL1] = {SPR_MAPP, FF_FULLBRIGHT, 3, nil, 0, 0, S_LEVELPORTAL2}
states[S_LEVELPORTAL2] = {SPR_MAPP, FF_FULLBRIGHT|1, 3, nil, 0, 0, S_LEVELPORTAL3}
states[S_LEVELPORTAL3] = {SPR_MAPP, FF_FULLBRIGHT|2, 3, nil, 0, 0, S_LEVELPORTAL1}

states[S_BOSSPORTAL1] = {SPR_MAPP, FF_FULLBRIGHT|3, 3, nil, 0, 0, S_BOSSPORTAL2}
states[S_BOSSPORTAL2] = {SPR_MAPP, FF_FULLBRIGHT|4, 3, nil, 0, 0, S_BOSSPORTAL3}
states[S_BOSSPORTAL3] = {SPR_MAPP, FF_FULLBRIGHT|5, 3, nil, 0, 0, S_BOSSPORTAL1}

states[S_DISABLEDPORTAL1] = {SPR_MAPP, FF_FULLBRIGHT|6, 3, nil, 0, 0, S_DISABLEDPORTAL2}
states[S_DISABLEDPORTAL2] = {SPR_MAPP, FF_FULLBRIGHT|7, 3, nil, 0, 0, S_DISABLEDPORTAL3}
states[S_DISABLEDPORTAL3] = {SPR_MAPP, FF_FULLBRIGHT|8, 3, nil, 0, 0, S_DISABLEDPORTAL1}

mobjinfo[MT_LEVELLIGHT] = {
	spawnstate = S_LEVELLIGHT1,
	spawnhealth = 1000,
	radius = 16*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 1,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SCENERY
}

states[S_LEVELLIGHT1] = {SPR_MAPP, FF_FULLBRIGHT|FF_TRANS80|9, 1, nil, 0, 0, S_LEVELLIGHT2}
states[S_LEVELLIGHT2] = {SPR_MAPP, FF_FULLBRIGHT|FF_TRANS90|9, 1, nil, 0, 0, S_LEVELLIGHT1}

mobjinfo[MT_LEVELSPARKLE] = {
	spawnstate = S_LEVELSPARKLE1,
	spawnhealth = 1000,
	radius = 16*FRACUNIT,
	height = 16*FRACUNIT,
	dispoffset = 1,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_SCENERY
}

states[S_LEVELSPARKLE1] = {SPR_HSPK, FF_FULLBRIGHT, 3, nil, 0, 0, S_LEVELSPARKLE2}
states[S_LEVELSPARKLE2] = {SPR_HSPK, FF_FULLBRIGHT|1, 3, nil, 0, 0, S_LEVELSPARKLE3}
states[S_LEVELSPARKLE3] = {SPR_HSPK, FF_FULLBRIGHT|2, 3, nil, 0, 0, S_LEVELSPARKLE4}
states[S_LEVELSPARKLE4] = {SPR_HSPK, FF_FULLBRIGHT, 3, nil, 0, 0, S_NULL}

states[S_BOSSSPARKLE1] = {SPR_HSPK, FF_FULLBRIGHT|3, 3, nil, 0, 0, S_BOSSSPARKLE2}
states[S_BOSSSPARKLE2] = {SPR_HSPK, FF_FULLBRIGHT|4, 3, nil, 0, 0, S_BOSSSPARKLE3}
states[S_BOSSSPARKLE3] = {SPR_HSPK, FF_FULLBRIGHT|5, 3, nil, 0, 0, S_BOSSSPARKLE4}
states[S_BOSSSPARKLE4] = {SPR_HSPK, FF_FULLBRIGHT|3, 3, nil, 0, 0, S_NULL}

//This is probably a HELLA inefficient way to define these, please reorganize this if you want
freeslot("sfx_22r100")
sfxinfo[sfx_22r100].caption = "Bitter Brink!"
freeslot("sfx_22r101")
sfxinfo[sfx_22r101].caption = "Chaos Cove!"
freeslot("sfx_22r102")
sfxinfo[sfx_22r102].caption = "Egg Machine!"
freeslot("sfx_22r103")
sfxinfo[sfx_22r103].caption = "Enchanted Enclave"
freeslot("sfx_22r104")
sfxinfo[sfx_22r104].caption = "Festung!.. oder... so."
freeslot("sfx_22r105")
sfxinfo[sfx_22r105].caption = "Foliage Furnace!"
freeslot("sfx_22r106")
sfxinfo[sfx_22r106].caption = "Freezer Folly!"
freeslot("sfx_22r107")
sfxinfo[sfx_22r107].caption = "Hell Coaster"
freeslot("sfx_22r108")
sfxinfo[sfx_22r108].caption = "Magma Laboritory!"
freeslot("sfx_22r109")
sfxinfo[sfx_22r109].caption = "Spiral Hill Pizza!"
freeslot("sfx_22r110")
sfxinfo[sfx_22r110].caption = "Sunk Sea X!"
freeslot("sfx_22r111")
sfxinfo[sfx_22r111].caption = "Tarnish Yard"
freeslot("sfx_22r112")
sfxinfo[sfx_22r112].caption = "Zexel's Thunder Yard!"
freeslot("sfx_22r113")
sfxinfo[sfx_22r113].caption = "Yearning Yahtyard!"

